# Examples

Here is a list of projects that can easily be integrated with the LocalAI backend. 

### Projects

### AutoGPT

_by [@mudler](https://github.com/mudler)_

This example shows how to use AutoGPT with LocalAI.

[Check it out here](https://github.com/go-skynet/LocalAI/tree/master/examples/autoGPT/)

### Chatbot-UI

_by [@mkellerman](https://github.com/mkellerman)_

![Screenshot from 2023-04-26 23-59-55](https://user-images.githubusercontent.com/2420543/234715439-98d12e03-d3ce-4f94-ab54-2b256808e05e.png)

This integration shows how to use LocalAI with [mckaywrigley/chatbot-ui](https://github.com/mckaywrigley/chatbot-ui).

[Check it out here](https://github.com/go-skynet/LocalAI/tree/master/examples/chatbot-ui/)

### Flowise

_by [@mudler](https://github.com/mudler)_

This example shows how to use [FlowiseAI/Flowise](https://github.com/FlowiseAI/Flowise) with LocalAI.

[Check it out here](https://github.com/go-skynet/LocalAI/tree/master/examples/flowise/)

### Discord bot

_by [@mudler](https://github.com/mudler)_

Run a discord bot which lets you talk directly with a model

[Check it out here](https://github.com/go-skynet/LocalAI/tree/master/examples/discord-bot/), or for a live demo you can talk with our bot in #random-bot in our discord server.

### Langchain

_by [@dave-gray101](https://github.com/dave-gray101)_

A ready to use example to show e2e how to integrate LocalAI with langchain

[Check it out here](https://github.com/go-skynet/LocalAI/tree/master/examples/langchain/)

### Langchain Python

_by [@mudler](https://github.com/mudler)_

A ready to use example to show e2e how to integrate LocalAI with langchain

[Check it out here](https://github.com/go-skynet/LocalAI/tree/master/examples/langchain-python/)

### LocalAI WebUI

_by [@dhruvgera](https://github.com/dhruvgera)_

![image](https://user-images.githubusercontent.com/42107491/235344183-44b5967d-ba22-4331-804c-8da7004a5d35.png)

A light, community-maintained web interface for LocalAI

[Check it out here](https://github.com/go-skynet/LocalAI/tree/master/examples/localai-webui/)

### How to run rwkv models

_by [@mudler](https://github.com/mudler)_

A full example on how to run RWKV models with LocalAI

[Check it out here](https://github.com/go-skynet/LocalAI/tree/master/examples/rwkv/)

### PrivateGPT

_by [@mudler](https://github.com/mudler)_

A full example on how to run PrivateGPT with LocalAI

[Check it out here](https://github.com/go-skynet/LocalAI/tree/master/examples/privateGPT/)

### Slack bot

_by [@mudler](https://github.com/mudler)_

Run a slack bot which lets you talk directly with a model

[Check it out here](https://github.com/go-skynet/LocalAI/tree/master/examples/slack-bot/)

### Question answering on documents with llama-index

_by [@mudler](https://github.com/mudler)_

Shows how to integrate with [Llama-Index](https://gpt-index.readthedocs.io/en/stable/getting_started/installation.html) to enable question answering on a set of documents.

[Check it out here](https://github.com/go-skynet/LocalAI/tree/master/examples/query_data/)

### Question answering on documents with langchain and chroma

_by [@mudler](https://github.com/mudler)_

Shows how to integrate with `Langchain` and `Chroma` to enable question answering on a set of documents.

[Check it out here](https://github.com/go-skynet/LocalAI/tree/master/examples/langchain-chroma/)

### Template for Runpod.io

_by [@fHachenberg](https://github.com/fHachenberg)_

Allows to run any LocalAI-compatible model as a backend on the servers of https://runpod.io

[Check it out here](https://runpod.io/gsc?template=uv9mtqnrd0&ref=984wlcra)

## Want to contribute?

Create an issue, and put `Example: <description>` in the title! We will post your examples here.
